/**
 * UGENE - Integrated Bioinformatics Tools.
 * Copyright (C) 2008-2011 UniPro <ugene@unipro.ru>
 * http://ugene.unipro.ru
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 */

#ifndef _U2_TREE_OPTIONS_WIDGET_H_
#define _U2_TREE_OPTIONS_WIDGET_H_

#include <QtGui/QtGui>
#include <U2View/MSAEditor.h>

namespace U2 {

class U2VIEW_EXPORT AddTreeWidget: public QWidget
{
    Q_OBJECT
public:
    AddTreeWidget(const MAlignmentObject* _mobj);
private slots:
private:
    void createGroups();
    QWidget* createSettingsWidget();


    MAlignment msa;
    const MAlignmentObject* mobj

    QComboBox *algorithmBox;
    QRadioButton *createNewView;
    QRadioButton *displayWithAlignmentEditor;
    QLineEdit *fileNameEdit;
    QToolButton *browseButton;
    QPushButton *storeSettings;
    QPushButton *restoreSettings;
    QSpacerItem *horizontalSpacer;
};
} // namespace

#endif
